Run Amazon Product
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-amazon-product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asin": "B004YAVF8I",
"domain": "amazon.com"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-amazon-product"
payload = {
"asin": "B004YAVF8I",
"domain": "amazon.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({asin: 'B004YAVF8I', domain: 'amazon.com'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-amazon-product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "dddddddd-dddd-dddd-dddd-dddddddddddd",
"kind": "amazon_product",
"asin": "B004YAVF8I",
"domain": "amazon.com",
"human": "# Amazon product\n\n- **ASIN:** B004YAVF8I\n- **Domain:** amazon.com\n- **Page weight:** 1.80 MB\n- **Title:** Logitech M185 Compact Ambidextrous 2.4 GHz Wireless Mouse - Swift Grey\n- **Brand:** Logitech\n- **Price:** $13.97\n- **Rating:** 4.4 (44844 reviews)\n- **Availability:** In Stock",
"machine": {
"product": {
"id": "B004YAVF8I",
"title": "Logitech M185 Compact Ambidextrous 2.4 GHz Wireless Mouse - Swift Grey",
"brand": "Logitech",
"byline": "Visit the Logitech Store",
"price": 13.97,
"currency": "$",
"list_price": 17.99,
"image": "https://m.media-amazon.com/images/I/51WN5aXZWIL._AC_UY218_.jpg",
"images": [
"https://m.media-amazon.com/images/I/51WN5aXZWIL._AC_UY218_.jpg"
],
"rating": 4.4,
"review_count": 44844,
"availability": "In Stock",
"is_in_stock": true,
"features": [
"Ambidextrous mouse with 2.4 GHz USB-A Nano Receiver",
"12-Months Battery Life"
],
"details": {
"Brand": "Logitech",
"Connectivity Technology": "Wireless"
},
"breadcrumbs": [
"Electronics",
"Computers & Accessories",
"Mice"
],
"category": "Mice",
"seller": {
"id": null,
"name": "Amazon.com"
},
"ships_from": "Amazon.com",
"sold_by": "Amazon.com",
"variations": []
},
"page_weight_bytes": 1887432
},
"total_points": 5
}Data Sources
Run Amazon Product
Fetches full Amazon product details by ASIN: title, brand, price, images, rating, features, and seller.
POST
/
functions
/
v1
/
run-amazon-product
Run Amazon Product
